# $Revision: 1.3 $, $Date: 2011/11/28 09:07:39 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	CGI
%define		pnam	Emulate-PSGI
%include	/usr/lib/rpm/macros.perl
Summary:	CGI::Parse::PSGI - Parses CGI output and creates PSGI response out of it
#Summary(pl.UTF-8):	
Name:		perl-CGI-Emulate-PSGI
Version:	0.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/CGI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	18f9297154b3b94bcc71a133b3f18b0d
# generic URL, check or change before uncommenting
#URL:		http://search.cpan.org/dist/CGI-Emulate-PSGI/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTTP-Message
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
  use CGI::Parse::PSGI qw(parse_cgi_output);

  my $output = YourApp->run;
  my $psgi_res = parse_cgi_output(\$output);



# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/CGI/Emulate
%{perl_vendorlib}/CGI/Emulate/*.pm
%dir %{perl_vendorlib}/CGI/Parse
%{perl_vendorlib}/CGI/Parse/PSGI.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Emulate-PSGI.spec,v $
Revision 1.3  2011/11/28 09:07:39  arekm
- up to 0.14

Revision 1.2  2011/07/06 07:14:38  arekm
- up to 0.12

Revision 1.1  2011/05/11 02:40:44  aredridel
- added

